using VT.FW.DB;
using Mall.Common.Enum.User;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// 商户用户会员权益表实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Member_Equity
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 等级id
        /// </summary>        
        public int? GradeId
        {
            get;
            set;
        }
        /// <summary>
        /// 标题
        /// </summary>        
        public string Title
        {
            get;
            set;
        }
        /// <summary>
        /// 图片
        /// </summary>        
        public int? Image
        {
            get;
            set;
        }
        /// <summary>
        /// 权益内容
        /// </summary>        
        public string Content
        {
            get;
            set;
        }
        /// <summary>
        /// 商户号
        /// </summary>        
        public int TenantId
        {
            get;
            set;
        }
        /// <summary>
        /// 创建时间
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }
        /// <summary>
        /// 更新时间
        /// </summary>        
        public DateTime? UpdateDate
        {
            get;
            set;
        }
        /// <summary>
        /// 删除状态
        /// </summary>
        public int? Status { get; set; }
        /// <summary>
        /// 小程序id
        /// </summary>
        public int MallBaseId { get; set; }
    }
}
